uniform sampler2D texture;
uniform float time = 1.0;

void main() 
{
   	vec2 coord = gl_TexCoord[0].xy*vec2((sin(time)+1.1)*10.0,(sin(time)+1.1)*10.0)-vec2((sin(time)+1.0)*5.0,(sin(time)+1.0)*5.0);
   



	gl_FragColor = texture2D(texture,coord);
}